Skip to main content

Update Rh Event Schema

PUT 

/v1/rh-event-schema/:event_name

Update an standard event schema, requires global admin permission

Request

Path Parameters

    event_name Event Namerequired

    standard event name

Body

required

    event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

    description Description (string)required

    Description of the event

Responses

Successful Response

Schema

    event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

    description Description (string)required

    Description of the event

Loading...